function [isorange,colors]=getisocolors(U,isorange,color)
  umin=min(U);umax=max(U);
  isorange=sort(isorange);
  pisorange=isorange;
  idx=find( (isorange>=umin) & (isorange<=umax));
  isorange=isorange(idx);
  niso=length(isorange);
  pniso=length(pisorange);
  if isempty(color)
    cmap=colormap();
    t=(isorange-min(U))/(max(U)-min(U));
    colors = fc_tools.graphics.RGB(t,cmap);
  else
    
    if size(color,1)==1
      if ischar(color), color = fc_tools.graphics.colorstr2rgb(color);end
      colors=ones(niso,1)*color;
    else
      assert( (size(color,1)==pniso) && (size(color,2)==3) )
      colors=color(idx,:);
    end
  end
end