function M=DAssemblyP1_OptV3(Th,Op,nq)
  %
  assert( fc_vfemp1.is_Loperator(Op) );
  if fc_simesh.is_siMeshElt(Th)
    assert(Th.d==Op.d);
    Kg=fc_vfemp1.FEM.KgP1_OptV3(Th,Op);
    if nargin<=2
      nq=Th.nq;
      [Ig,Jg]=fc_vfemp1.FEM.IgJgP1_OptV3(Th.d,Th.nme,Th.me);
    else
      if nq==Th.nq
        [Ig,Jg]=fc_vfemp1.FEM.IgJgP1_OptV3(Th.d,Th.nme,Th.me);
      else
        [Ig,Jg]=fc_vfemp1.FEM.IgJgP1_OptV3(Th.d,Th.nme,Th.toGlobal(Th.me));
      end
    end
    M=sparse(Ig(:),Jg(:),Kg(:),nq,nq);
  elseif fc_simesh.is_siMesh(Th)
    iSub=Th.find(Op.d);
    M=sparse(Th.nq,Th.nq);
    for i=iSub
      M=M+fc_vfemp1.FEM.DAssemblyP1_OptV3(Th.sTh{i},Op,Th.nq);
    end
  else
    error('Unknow class %s',class(Th))
  end
end
